This page was not yet optimized for use on mobile devices.
Philips ECG Solutions Cryptographic Module
Certificate details
| Certificate ID | #3328 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 14.11.2018 , 20.11.2018 , 15.03.2022 , 26.09.2023 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode. The module makes no assurance of the minimum strength of random strings and generated keys. This validation entry is a non-security relevant modification to Cert. #2038 |
| Exceptions |
|
| Description | The Philips ECG Solutions Cryptographic Module is a standards-based, FIPS 140-2 compliant solution. The module features robust algorithm support. |
| Tested configurations |
|
| Vendor | CardioNet, LLC http://www.philips.com/amd |
| Lab | AEGISOLVE, Inc., Leidos Accredited Testing & Evaluation (AT&E) Lab |
| Algorithms | |
| References | This certificate's webpage directly references 1 certificates, transitively this expands into 1 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, DES, Triple-DES, HMAC, HMAC-SHA-224, HMAC-SHA-256, HMAC-SHA-512, CMACAsymmetric Algorithms
ECDSA, ECC, DH, Diffie-Hellman, DSAHash functions
SHA-1, SHA-384, SHA-224, SHA-256, SHA-512, SHA512, SHA-2Schemes
MACProtocols
SSL, TLSRandomness
DUAL_EC_DRBG, PRNG, DRBG, RNGElliptic Curves
P-224, P-256, P-384, P-521, P-192, K-233, K-283, K-409, B-233, B-283, B-409, B-571, K-571, K-163, B-163Block cipher modes
ECB, CBC, CTR, OFB, GCM, CCM, XTSVendor
Philips, MicrosoftSecurity level
Level 1Standards
FIPS 140-2, FIPS 140, FIPS 186-4, FIPS 186-2, SP 800-90A, NIST SP 800-131A, PKCS #1, PKCS1, PKCS#1, RFC5288, RFC5289, RFC 5246Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
Loading...
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3328,
"dgst": "944db51d0e31fc3a",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"ECDSA#368",
"#281",
"#709",
"#1420",
"DSA#709",
"#368",
"AES#2273",
"HMAC#1391",
"#1954",
"Triple-DES#1420",
"#2273",
"#1166",
"SHS#1954",
"#1391",
"RSA#1166",
"DRBG#281"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": {
"_type": "Set",
"elements": [
"2038"
]
},
"indirectly_referenced_by": null,
"indirectly_referencing": {
"_type": "Set",
"elements": [
"2038"
]
}
},
"module_prunned_references": {
"_type": "Set",
"elements": [
"2038"
]
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 44,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 1
},
"ECDSA": {
"ECDSA": 12
}
},
"FF": {
"DH": {
"DH": 1,
"Diffie-Hellman": 1
},
"DSA": {
"DSA": 13
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 3
},
"CCM": {
"CCM": 2
},
"CTR": {
"CTR": 2
},
"ECB": {
"ECB": 3
},
"GCM": {
"GCM": 4
},
"OFB": {
"OFB": 1
},
"XTS": {
"XTS": 1
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"TLS": {
"SSL": {
"SSL": 1
},
"TLS": {
"TLS": 5
}
}
},
"crypto_scheme": {
"MAC": {
"MAC": 1
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"B-163": 4,
"B-233": 4,
"B-283": 6,
"B-409": 3,
"B-571": 6,
"K-163": 4,
"K-233": 5,
"K-283": 6,
"K-409": 4,
"K-571": 4,
"P-192": 6,
"P-224": 10,
"P-256": 12,
"P-384": 8,
"P-521": 12
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1": 2
}
},
"fips_certlike": {
"Certlike": {
"Certificate AES": 1,
"Certificate RSA": 1,
"HMAC SHA- 224": 1,
"HMAC SHA- 256": 1,
"HMAC SHA-1": 1,
"HMAC SHA-384": 1,
"HMAC SHA-512": 1,
"HMAC- SHA-384": 1,
"HMAC-SHA-1": 2,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 2,
"HMAC-SHA-512 1391": 2,
"HMAC-SHA1": 10,
"HMAC-SHA224": 2,
"HMAC-SHA256": 2,
"HMAC-SHA384": 2,
"HMAC-SHA512": 2,
"PKCS #1": 4,
"PKCS#1": 2,
"PKCS1": 6,
"SHA- 224": 1,
"SHA- 256": 1,
"SHA- 512": 1,
"SHA-1": 21,
"SHA-1 2": 1,
"SHA-2": 12,
"SHA-224": 2,
"SHA-256": 3,
"SHA-384": 5,
"SHA-512": 1,
"SHA-512 1954": 1,
"SHA512": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 2
}
},
"hash_function": {
"SHA": {
"SHA1": {
"SHA-1": 22
},
"SHA2": {
"SHA-2": 12,
"SHA-224": 2,
"SHA-256": 3,
"SHA-384": 5,
"SHA-512": 2,
"SHA512": 1
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"DUAL_EC": {
"DUAL_EC_DRBG": 1
},
"PRNG": {
"DRBG": 15,
"PRNG": 1
},
"RNG": {
"RNG": 3
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140": 6,
"FIPS 140-2": 41,
"FIPS 186-2": 6,
"FIPS 186-4": 6
},
"NIST": {
"NIST SP 800-131A": 2,
"SP 800-90A": 2
},
"PKCS": {
"PKCS #1": 2,
"PKCS#1": 1,
"PKCS1": 3
},
"RFC": {
"RFC 5246": 1,
"RFC5288": 2,
"RFC5289": 2
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 13
}
},
"DES": {
"3DES": {
"Triple-DES": 8
},
"DES": {
"DES": 3
}
},
"constructions": {
"MAC": {
"CMAC": 6,
"HMAC": 13,
"HMAC-SHA-224": 1,
"HMAC-SHA-256": 1,
"HMAC-SHA-512": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {
"Microsoft": {
"Microsoft": 1
},
"Philips": {
"Philips": 32
}
},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"ECDSA#368",
"DSA#709",
"AES#2273",
"HMAC#1391",
"Triple-DES#1420",
"SHS#1954",
"RSA#1166",
"DRBG#281"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#281",
"#709",
"#1420",
"#368",
"#1954",
"#2273",
"#1166",
"#1391"
]
},
"policy_metadata": {
"/Author": "SafeLogic",
"/CreationDate": "D:20230913181744-07\u002700\u0027",
"/Creator": "Microsoft\u00ae Word for Microsoft 365",
"/ModDate": "D:20230913181744-07\u002700\u0027",
"/Producer": "Microsoft\u00ae Word for Microsoft 365",
"/Subject": "Philips ECG Solutions Cryptographic Module",
"/Title": "Security Policy",
"pdf_file_size_bytes": 744694,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"https://www.philips.com/amd",
"http://www.safelogic.com/",
"http://csrc.nist.gov/groups/STM/cmvp/index.html"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 23
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "ecd710797313f4a3ddab23964c3eb1951abc00187a6948e5bd44ff1f6330bfef",
"source_hash": "da5a72021e2669f1a3c90f2127f1fed17d1c27866d402e4fa6d8b23c80b5251a",
"txt_hash": "9061a275442cc3dbc434a86d4f2509c100b17d393e48ba02be69f495f0e62fb4"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode. The module makes no assurance of the minimum strength of random strings and generated keys. This validation entry is a non-security relevant modification to Cert. #2038",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/Consolidated-Nov2018.pdf",
"date_sunset": null,
"description": "The Philips ECG Solutions Cryptographic Module is a standards-based, FIPS 140-2 compliant solution. The module features robust algorithm support.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {
"2038": 1
},
"module_name": "Philips ECG Solutions Cryptographic Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "2.1",
"tested_conf": [
"Microsoft Windows Server 2008 R2 on a Dell Optiplex 755 with an Intel i7 (single-user mode)"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2018-11-14",
"lab": "AEGISOLVE, Inc.",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2018-11-20",
"lab": "AEGISOLVE, Inc.",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2022-03-15",
"lab": "AEGISOLVE, Inc.",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2023-09-26",
"lab": "Leidos Accredited Testing \u0026 Evaluation (AT\u0026E) Lab",
"validation_type": "Update"
}
],
"vendor": "CardioNet, LLC",
"vendor_url": "http://www.philips.com/amd"
}
}